POST api/NoAccountCase/SaveNoAccountAssignCorporationCase
Request Information
URI Parameters
None.
Body Parameters
NoAccountCaseDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CaseNo | integer |
None. |
|
| Status | integer |
None. |
|
| CorporationCode | string |
String length: inclusive between 0 and 20 |
|
| WorkLocationCode | string |
String length: inclusive between 0 and 20 |
|
| EccCaseTypeId | integer |
None. |
|
| EmployeeId | string |
String length: inclusive between 0 and 12 |
|
| OnsiteLocationId | integer |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"CaseNo": 2,
"Status": 3,
"CorporationCode": "sample string 4",
"WorkLocationCode": "sample string 5",
"EccCaseTypeId": 1,
"EmployeeId": "sample string 6",
"OnsiteLocationId": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:23.3986547-07:00",
"DateUpdated": "2026-08-04T14:29:23.3986547-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfNoAccountCaseDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | NoAccountCaseDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"CaseNo": 2,
"Status": 3,
"CorporationCode": "sample string 4",
"WorkLocationCode": "sample string 5",
"EccCaseTypeId": 1,
"EmployeeId": "sample string 6",
"OnsiteLocationId": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:23.41429-07:00",
"DateUpdated": "2026-08-04T14:29:23.41429-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
},
"totalCount": 3
}